Skip to content

Get 'BookkeepingExportFile'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/accounting/bookkeeping/bookkeepingexportfile/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/accounting/bookkeeping/bookkeepingexportfile/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

file_dataobjectrequired
file_formatinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Sie

  • 1 - Gl02

  • 2 - Gl07

Enum:012
companyobject(Company)required
filtered_on_bookkeeping_datebooleanrequired
filtered_end_datestring, (date)required
intended_for_importbooleanrequired
included_unattestedbooleanrequired
excluded_already_imported_verificationsbooleanrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
company_bookkeeping_period_startstring or null, (date)
company_bookkeeping_period_endstring or null, (date)
filtered_start_datestring or null, (date)
payment_verifications_filterboolean or null
included_verification_amountinteger or null, (int32), [ -2147483648 .. 2147483647 ]
tagsanyread-only
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "file_data": { "name": "string", "md5_hash": "string", "get": "string", "post": { … } }, "file_format": 0, "company": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "company_bookkeeping_period_start": "2019-08-24", "company_bookkeeping_period_end": "2019-08-24", "filtered_on_bookkeeping_date": true, "filtered_start_date": "2019-08-24", "filtered_end_date": "2019-08-24", "intended_for_import": true, "included_unattested": true, "excluded_already_imported_verifications": true, "payment_verifications_filter": true, "included_verification_amount": -2147483648, "tags": null, "customer_columns": null }